.page .subpage .apexcharts-canvas text {
    fill: var(--lightGray) !important;
}
body.dark-layout .dropdown-menu:before {
  left: 8.4rem !important;
  
  }
  input[type="date"], input[type="time"], input[type="datetime-local"], input[type="month"] {
    width: 106px ;
    border: antiquewhite;
    border-radius: 2px;
    background-color: #ededed;
  }
  body.dark-layout .select2-container .select2-dropdown {
    width: 87px !important;
    min-width: 150px !important;
  }

  html body .content {
    margin-left: 245px;
  
  }
  .widgetContainer_text {
    width: 100%;
    display: flex;
    flex-direction: column;
    height: -webkit-fill-available;
    padding: 5px;
  }
  #btnApplyDateFilter {
    height: 20px;
    border-radius: 2px;
    margin-left: 7px;
    outline: none;
    font-size: 11px;
    border: none;
    background-color: #a1c523;
    color: white;
  }
  ._controls_date {
    width: 100px;
    border-radius: 3px;
    padding-top: 8px;
    text-align: center;
    margin-right: 5px;
    font-size: 12px;
    margin-left: 5px;
    height: 35px;
    cursor: pointer;
  }
  .custom_date_input {
    width: 170px !important;
  }
.dashboard_filter {
  display: flex;
  margin-bottom: 10px !important;
  margin-left: 10px !important;
  justify-content: space-between;
}
#dateFilteContainer {

  justify-content: space-between;
  margin: 0px 5px;
}

.select_template {
  width: 160px;
  padding: 1px 10px 0px 0px;

}
.btn_add_wedgit {
  margin: 0px 5px ;
}

._controls_back {
  width: 90px;
  border-radius: 3px;
  padding: 6px 0px 0px 0px;
  margin-left: 5px;
  height: 34px;
  cursor: pointer;
  text-align: center;
}


._controls_save_next {
  border-radius: 3px;
  padding: 7px 5px 0px 14px;
  margin-right: 5px;
  height: 34px;
  cursor: pointer;
}
#isChartNumbers {
  top: 2px;
 position: relative;
 cursor: pointer;
}
#btnSaveEditMode {
  /* margin-top: 3px; */
  width: 70px;
}

@media screen and (min-width: 300px) and (max-width: 479px) {
  .arrange_text {
    margin-right: 0px !important;
  }
  .widgetType {
    width: 60% !important;
  }
  .cancel_btn {
    margin-right: 0px !important;
  }
  .save_btn {
    margin-right: 0px !important;
  }
  ._controls_pdf{
    width: 88px !important;
    border-radius: 3px;
    margin-right: 5px;
    height: 30px !important;
    cursor: pointer;
    display: flex;
    align-content: center;
    justify-content: center;
    align-items: center;
  }
  ._controls {
    width: 78px !important;
    font-size: 9px !important;
    height: 30px !important;
   margin-right: 5px !important;

  }
  ._controls1  {
    width: 59px !important;
    padding: 7px 0px 0px 5px !important;
    margin-right: 5px !important;
    height: 30px !important;
  }
  ._controls2 {
    width: 60px !important;

    height: 30px !important;
    margin-right: 0px !important;
    padding: 8px 0px 0px 0px !important;
}
  ._controls3 {
    width: 60px !important;
    height: 30px !important;
    padding: 7px 0px 0px 0px !important;

  }
  .bi-gear {
    cursor: pointer !important;
    margin-right: 10px !important;
    margin-left: 10px !important;
}
  .arrange-text {
    font-size: 9px !important;
    text-align: center !important;
  }
  .btn_add_wedgit {
    margin: 0px 3px !important;
  }

  #dashboardPanel {
    margin-left: 0px !important;
    font-size: 9px !important;
    border-radius: 4px;
    margin-bottom: 7px !important;
    justify-content: start !important;

  }
  .dashboard_filter {
      flex-direction: column !important;
      justify-content: normal !important;

  }
  .select_template {
    width: 158px !important;
    padding: 0px 17px 0px 0px;
  
  }

  .select2-container--default .select2-selection--single .select2-selection__arrow {
    top: -3px !important;
  }
  .select2-container--classic .select2-selection--single, .select2-container--default .select2-selection--single {
    min-height: 27px !important;
    padding: 1px !important;
  }
  .select2-container span {
    font-size: 10px !important;
  }
}
body.dark-layout .select2-container .select2-dropdown {
  width: 150px !important;
}
@media screen and (min-width: 480px) and (max-width: 649px) {
  .arrange_text {
    margin-right: 0px !important;
  }
  .widgetType {
    width: 60% !important;
  }
  .save_btn {
    margin-right: 0px !important;
  }
  .cancel_btn {
    margin-right: 0px !important;
  }
  ._controls_pdf{
    width: 88px !important;
    border-radius: 3px;
    margin-right: 5px;
    height: 30px !important;
    cursor: pointer;
    display: flex;
    align-content: center;
    justify-content: center;
    align-items: center;
  }
  ._controls {
    width: 78px !important;
    font-size: 9px !important;
    height: 30px !important;
    margin-right: 5px !important;

  }
  ._controls1  {
    width: 59px !important;
    padding: 7px 0px 0px 5px !important;
    margin-right: 5px !important;
    height: 30px !important;
  }
  ._controls2 {
    width: 60px !important;

    height: 30px !important;
    margin-right: 0px !important;
    padding: 8px 0px 0px 0px !important;
}
  ._controls3 {
    width: 60px !important;
    height: 30px !important;
    padding: 7px 0px 0px 0px !important;

  }
  .bi-gear {
    cursor: pointer !important;
    margin-right: 10px !important;
    margin-left: 10px !important;
}
  .arrange-text {
    font-size: 9px !important;
    text-align: center !important;
    
  }
  .btn_add_wedgit {
    margin: 0px 3px !important;
  }

  #dashboardPanel {
    margin-left: 0px !important;
    font-size: 9px !important;
    border-radius: 4px;
    margin-bottom: 7px !important;
    justify-content: start !important;

  }
  .dashboard_filter {
      flex-direction: column !important;
      justify-content: normal !important;

  }


  
  .select_template {
    width: 158px !important;
    padding: 0px 10px 0px 0px;
  
  }

  .select2-container--default .select2-selection--single .select2-selection__arrow {
    top: -3px !important;
  }
  .select2-container--classic .select2-selection--single, .select2-container--default .select2-selection--single {
    min-height: 27px !important;
    padding: 1px !important;
  }
  .select2-container span {
    font-size: 10px !important;
  }
}
.editWidget,
.edit_color {
  cursor: pointer;
  color: #6e8192  !important;
}
.deleteWidget,
.delete_color {
  cursor: pointer;
  color: #ff4243 !important;
}

  .check-boxes {
    display: flex;
    flex-direction: column;
    align-items: flex-start;
  }
  .prevent-select {
    user-select: none;
    cursor: pointer;
  }
  #seriesListContainer {
    margin: 5px;
  border: 1px solid;
  }
  .series-div {
    display: flex;
    justify-content: space-between;
    align-items: baseline;
    padding: 0px 10px;
  }
  #templetsList {
    padding: 5px;
    width: 230px;
    border: none;
    margin-right: 10px;
    outline: none;
  }
  ._controls {
    width: 119px;
    border-radius: 3px;
    padding: 9px 0px;
    margin-right: 5px;
    height: 35px;
    cursor: pointer;
    font-size: 12px;
    text-align: center;
  }


  ._controls_branch {
    width: 128px;
    border-radius: 3px;
    padding: 9px 0px;
    margin-right: 5px;
    height: 35px;
    cursor: pointer;
    font-size: 12px;
    text-align: center;
  }
  ._controls1 {
    width: 80px;
    border-radius: 3px;
    padding: 8px 0px 0px 0px;
    margin-right: 5px;
    height: 34px;
    cursor: pointer;
  }
  ._controls_pdf{
    width: 119px;
    border-radius: 3px;
    margin-right: 5px;
    height: 34px;
    cursor: pointer;
    display: flex;
    align-content: center;
    justify-content: center;
    align-items: center;
  }
  ._controls2 {
    width: 70px;
    border-radius: 3px;
    padding: 8px 0px 0px 0px;
    margin-right: 5px;
    height: 34px;
    cursor: pointer;
  }
  ._controls3 {
    width: 70px;
    border-radius: 3px;
    padding: 8px 0px 0px 0px;
    margin-right: 5px;
    height: 34px;
    cursor: pointer;
  }
  .autoMargin {
    margin-right: auto;
  }
  ._controls4 {
  width: 80px;
  border-radius: 3px;
  padding: 5px;
  text-align: center;
  cursor: pointer;
  }
.page {
    width: 21cm;
    min-height: 26cm;
    /* margin: 1cm auto; */
    border: 1px solid;
}
.addwedgit-text {
    color: white !important;
    cursor: pointer;
  }
.subpage {
    margin-top: -20px;
    height: 237mm;
}

@page {
    margin: 0;
}

@media print {
    .page {
        margin: 0;
        border: initial;
        border-radius: initial;
        width: initial;
        min-height: initial;
        box-shadow: initial;
        background: initial;
        page-break-after: always;
    }
}

/* ----------------------------------------------------------------- */


.grid-stack-item-content {
  inset: 3px !important;
    display: flex;
    align-items: center;
    text-align: center;
    background-color: var(--light-light);
}
#close:hover {
  cursor: pointer;
}
#widgetTypeList {
    display: flex;
    justify-content: space-around;
    align-items: center;
    flex-wrap: wrap;
}

.widgetType {
    display: flex;
    flex-direction: column;
    align-items: center;
    cursor: pointer;
    margin: 3px;
    border: 1px solid;
    box-shadow: 1px 1px 7px black;
    width: 30%;
    height: 175px;
}

.widgetType:hover {
    box-shadow: none;
}

.carousel-control-next-icon {
    background-image: url("data:image/svg+xml;charset=utf8,%3Csvg xmlns='http://www.w3.org/2000/svg' fill='%23009be1' viewBox='0 0 8 8'%3E%3Cpath d='M2.75 0l-1.5 1.5 2.5 2.5-2.5 2.5 1.5 1.5 4-4-4-4z'/%3E%3C/svg%3E");
    width: 30px;
    height: 48px;
}

.select2-selection__rendered {
    max-height: 80px !important;
    overflow-y: auto !important;
}

.deleteBranch {
    cursor: pointer;
    color: red;
}

#branchesList {
    margin-top: 10px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
    max-height: 115px;
    max-width: 350px;
    overflow-y: auto;
}

.branchItem {
    background-color: #3f3f3f;
    padding: 2px;
    border-radius: 5px;
    width: 30%;
    margin: 5px;
    display: flex;
    justify-content: space-between;
    max-height: 30px;
}

.branchItem p {
    font-size: 11px;
}

#btnChooseBranches,
#btnAddSeries {
    color: #a1c523;
    font-size: 25px;
    cursor: pointer;
}

.img-icon-barChart {
    margin: auto;
    width: 8rem;
    height: 8rem;
    background: url(/assets/admin/img/dashboard/bar_chart.png);
    background-repeat: no-repeat;
    background-size: 8rem;
}

.img-icon-mixedChart {
    margin: auto;
    width: 8rem;
    height: 8rem;
    background: url(/assets/admin/img/dashboard/mixed_chart.png);
    background-repeat: no-repeat;
    background-size: 8rem;
}

.img-icon-pieChart {
    margin: auto;
    width: 8rem;
    height: 8rem;
    background: url(/assets/admin/img/dashboard/pie_chart.png);
    background-repeat: no-repeat;
    background-size: 8rem;
}

.img-icon-tableChart {
    margin: auto;
    width: 8rem;
    height: 8rem;
    background: url(/assets/admin/img/dashboard/table_chart.png);
    background-repeat: no-repeat;
    background-size: 8rem;
}

.img-icon-titeChart {
    margin: auto;
    width: 8rem;
    height: 8rem;
    background: url(/assets/admin/img/dashboard/title_chart.png);
    background-repeat: no-repeat;
    background-size: 8rem;
}

.seriesItem {
    padding: 0 30px;
    background-color: #3f3f3f;
    border: 1px solid;
    margin: 4px;
    text-align: center;

}

.deleteSeries {
    color: red;
    cursor: pointer;
}

.editSeries {
    color: greenyellow;
    cursor: pointer;
}
body.dark-layout .dropdown-menu {
  border: none;
}

#btnSettings {
  cursor: pointer;
  font-size: 26px;
  margin-top: -4px;
  margin-left: 5px;
  /* margin-right: 12px; */
}


  #deleteTemplet, #btnEditTemplet{
    cursor: pointer;
   font-size: 11px;
    color: var(--fontColor) !important;
  } 
  
  #deleteTemplet:hover, #btnEditTemplet:hover{
    color: #A1C523  !important;
  } 

#cencelEditingMode {
    color: red;
    font-size: 18px;
    padding: 1px;
    position: relative;
    top: 2px;
    left: 18px;
    cursor: pointer;
}

.content_mixed_div {
  display: flex;
  padding: 5px;
  margin-top: 5px;
  justify-content: space-between;
}
.widgetControle {
  color: #a5c939;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  padding: 0 5px;
  align-items: center;
}
.label_pie_header {
  text-align: initial;
  padding: 5px 0px 0px 13px;
  margin: 0px;
  font-size: 1rem;
}
.label-title{
  font-size: 12px;
  margin: 0px;
}
.left-tool {
display: flex;
}
.select2-selection__rendered {
    max-height: 80px !important;
    overflow-y: auto !important;
  }
  .widgetContainer_pie {
    width: 100%;
    height: -webkit-fill-available;
    align-content: center;
  }
.widgetContainer {
  width: 100%;
  display: flex;
  flex-direction: column;
  height: -webkit-fill-available;
  /* justify-content: space-around;
  align-content: center; */
}
.widgetContainer_label {
  width: 100%;
  display: flex;
  flex-direction: column;
  height: -webkit-fill-available;
  padding: 5px;
  /* justify-content: space-around; */
  /* align-content: center; */
}
#widgetText {
    height:40px;
  }
  
  .text_title {
    text-align: initial;
    padding: 0 5px;
    font-size: 12px;
    color: #a5c939;
  }

  html body.navbar-sticky .app-content .content-wrapper {
    padding: 1.5rem 1rem 1rem 0rem;
    margin-top: 3rem !important;
  }
  #widgetTitle {
    border-radius: 4px;
  }
  .time_period_label {
    padding: 0 5px;
    text-align: initial;
    color: #a5c939 !important;
     font-size: 10px;
     margin: 0px;
   }
 
  #dashboardPanel {
    background-color: var(--light-light);
    padding: 2px;
    display: flex;
    justify-content: space-between;
    margin-right: 5px;
  height: fit-content;
  border-radius: 4px;

  }
#templetsList {
    padding: 5px;
    width: 230px;
    background-color: white;
    border: none;
    outline: none;
}

#btnSettings {
    color: #a5c939;
}
.widgetControle_label {
  color: #a5c939;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
    /* width: 50px; */
}
.grid-stack>.grid-stack-item>.grid-stack-item-content {
    overflow-y: hidden !important;
    border-radius: 6px !important;
  }
.backWidgetType {
    padding-left: 20px;
  }

  .arrange-text {
    color: white !important;
    cursor: pointer;
    font-size: 12px;
    text-align: center;
  }
  
.widgetFilteritem {
    width: 10px;
    margin-left: 5px;
}

#editModePanel {
    display: flex;
}


.widgetPanel {
    display: none;
    color: #a5c939;
}
.img_div {
  height: fit-content;
}
.widget_period{
  /* border-top: 1px solid var(--fontColor); */
  padding-left: 5px;
}
.content_pie_div {
  padding-right: 10px;
  display:flex;
  justify-content:space-between;
}
.label_data_div {
  height: 48px;
}
.label_data_div p {
  margin: 0px;
  font-size: 0.7rem;
  width: max-content;
}
.label_count {
  width: auto;
  color: #a1c523;
  font-size: 18px;
  margin: 0px;
}
.box {
  display: flex;
  padding: 0px 5px;
  width: 100%;
  height: fit-content;
}

.box .details {
    transform: scale(0.8) translate(-23px, -13px);
}

.bi-gear {
    cursor: pointer;
    margin-right: 10px;
}
.filterDateList {
  z-index: 10000;
  background: var(--bgColor);
  width: 150px;
  max-height: 233px;
  overflow-y: auto;
  position: absolute;
  top: 26px;
  right: 206px;
  user-select: none;
}
.filterList {
    z-index: 10000;
    background: var(--bgColor);
    width: 200px;
    max-height: 233px;
    overflow-y: auto;
    position: absolute;
    top: 26px;
    right: 0px;
    user-select: none;
}

.collapsible {
    width: 100%;
    background-color: gray;
    border: none;
    color: white;
    margin: 5px 0;
}

table,
th,
td {
    border: 1px solid black;
    border-collapse: collapse;
    padding: 10px;
}

.hiddenRows {
    display: none;
}
.title_div {
  display: flex;
  justify-content: space-between;
}
.selectDateFilter {
  display: flex;
  }
.chartLabelBox {
  padding: 5px;
  padding-top: 8px;
}

#NoWidgets {
    text-align: center;
    margin-top: 200px;
}

#report {
    /* border-top:1px solid ; */
    width: 100%;
}

.page-mark {
    width: 70px;
}

#h_ruler {
    border-top: 1px solid;
    width: 21.5cm;
    height: 5px;
    margin-top: 20px;
    margin-left: 70px;
}

.details h5 ,.widgetContainer h5{
    font-size: 10px;
    color: #a5c939 !important;
}
body.dark-layout .apexcharts-canvas text {
  fill: var(--fontColorDW);
    font-size: 9px !important;
    font-weight: normal !important;
}

